org.hibernate.search.analyzer.impl

## Class ScopedLuceneAnalyzerReference.Builder

- java.lang.Object
- - org.hibernate.search.analyzer.impl.ScopedLuceneAnalyzerReference.Builder

- All Implemented Interfaces:
    ScopedAnalyzerReference.Builder, ScopedAnalyzerReference.CopyBuilder
  Enclosing class:
    ScopedLuceneAnalyzerReference

      public static class ScopedLuceneAnalyzerReference.Builder
      extends Object
      implements ScopedAnalyzerReference.Builder, ScopedAnalyzerReference.CopyBuilder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(LuceneAnalyzerReference globalAnalyzerReference, Map<String,LuceneAnalyzerReference> scopedAnalyzers)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAnalyzerReference(String scope, AnalyzerReference analyzerReference)`
    `ScopedLuceneAnalyzerReference` | `build()`
    `LuceneAnalyzerReference` | `getGlobalAnalyzerReference()`
    `void` | `setGlobalAnalyzerReference(AnalyzerReference globalAnalyzerReference)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(LuceneAnalyzerReference globalAnalyzerReference,
                         Map<String,LuceneAnalyzerReference> scopedAnalyzers)

  - ### Method Detail

    - #### getGlobalAnalyzerReference

          public LuceneAnalyzerReference getGlobalAnalyzerReference()

      Specified by:
        `getGlobalAnalyzerReference` in interface `ScopedAnalyzerReference.Builder`

    - #### setGlobalAnalyzerReference

          public void setGlobalAnalyzerReference(AnalyzerReference globalAnalyzerReference)

      Specified by:
        `setGlobalAnalyzerReference` in interface `ScopedAnalyzerReference.Builder`

    - #### addAnalyzerReference

          public void addAnalyzerReference(String scope,
                                           AnalyzerReference analyzerReference)

      Specified by:
        `addAnalyzerReference` in interface `ScopedAnalyzerReference.Builder`
      Specified by:
        `addAnalyzerReference` in interface `ScopedAnalyzerReference.CopyBuilder`

    - #### build

          public ScopedLuceneAnalyzerReference build()

      Specified by:
        `build` in interface `ScopedAnalyzerReference.Builder`
      Specified by:
        `build` in interface `ScopedAnalyzerReference.CopyBuilder`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved